<!doctype html>
<html lang="en-GB">
<head>
  <meta charset="utf-8">
  <script src="../theme-app.js" type="module"></script>
  <style>
    html {
      --themme-primary: green;
      --themme-secondary: aliceblue;
      --themme-warning: red;
      --themme-font-family: Roboto;
    }
    theme-app {
      --my-element-text-color: var(--themme-primary);
      --my-element-background-color: var(--themme-secondary);
      --my-element-font-family: var(--themme-font-family);
    }
  </style>
</head>
<body>
  <header>
    <a href="index.html"> << back</a>
  </header>
  <section>
    <h2>Uso y configuracion de theme para un componente</h2>
    <theme-app></theme-app>
    <theme-app hidden></theme-app>
    <theme-app class="warning"></theme-app>
  </section>
</body>
</html>
